<ion-header>
  <ion-toolbar>
    <ion-title>dispositivo-registrar</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  <form (ngSubmit)="onSubmit( fDispositivo )" #fDispositivo="ngForm">
  <ion-list>
    <ion-item>
      <ion-label>Alias Dispositivo:</ion-label>
      <ion-input name="alias" required [(ngModel)]="registrodispositivo.alias"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Serial:</ion-label>
      <ion-input name="serial" type="email" [(ngModel)]="registrodispositivo.serial" required></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Plantas</ion-label>
      <ion-select interface="popover" name="planta_id" required [(ngModel)]="registrodispositivo.planta_id">
        <ion-select-option  *ngFor="let planta of plantas" value="{{planta.id}}">{{planta.nombre}}
        </ion-select-option>
      </ion-select>
    </ion-item>
  </ion-list>
  <ion-button size="large" expand="block" type="submit">Registrar</ion-button>
  </form>
</ion-content>